Subject: [PATCH net-next 0/2] selftests: drv-net: so_txtime: trivial fixes

From: Jakub Kicinski <[email-masked]>
Date: Mon, 8 Jun 2026 10:33:03 -0700

I noticed that so_txtime is only passing on NIPA setups which are
looped within a single host. The cross-machine cases just flat out
fail. The initial bug is obvious - the test does not deploy the binary.
But even with that I think more work would be needed to sync the
time / adjust the expectations for a dual-machine test.

Feel free to nack / take over, this series is admittedly achieving
very little in practice. The test will still not be usable on dual-host.

Jakub Kicinski (2):
  selftests: drv-net: so_txtime: remember to deploy the binaries
  selftests: drv-net: so_txtime: check IP versions

 tools/testing/selftests/drivers/net/so_txtime.py | 12 ++++++++----
 1 file changed, 8 insertions(+), 4 deletions(-)

-- 
2.54.0